Category
Date: 2014-01-08

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.contentmanagement.lexicalmatcher.analysis.guesser.data
Class Category

    java.lang.Object
      org.gcube.contentmanagement.lexicalmatcher.analysis.guesser.data.Category

All Implemented Interfaces:
  Reference

    public class Category

extends java.lang.Object
implements Reference

Constructor Summary
`Category(java.lang.String name, java.lang.String index, java.lang.String tablename, java.lang.String descr)`

Method Summary
`java.lang.String` | `getDescription()`
`java.lang.String` | `getIndex()`
`java.lang.String` | `getName()`
`java.math.BigInteger` | `getNumberOfElements()`
`java.lang.String` | `getTableName()`
`static void` | `main(java.lang.String[] args)`
`void` | `setDescription(java.lang.String description)`
`void` | `setIndex(java.lang.String categoryIndex)`
`void` | `setName(java.lang.String categoryName)`
`void` | `setNumberOfElements(java.math.BigInteger numberOfElements)`
`void` | `setTableName(java.lang.String tableName)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Category

    public Category(java.lang.String name,
                    java.lang.String index,
                    java.lang.String tablename,
                    java.lang.String descr)

Method Detail

### main

    public static void main(java.lang.String[] args)

### setName

    public void setName(java.lang.String categoryName)

  Specified by:
    `setName` in interface `Reference`

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `Reference`

### setIndex

    public void setIndex(java.lang.String categoryIndex)

  Specified by:
    `setIndex` in interface `Reference`

### getIndex

    public java.lang.String getIndex()

  Specified by:
    `getIndex` in interface `Reference`

### setTableName

    public void setTableName(java.lang.String tableName)

  Specified by:
    `setTableName` in interface `Reference`

### getTableName

    public java.lang.String getTableName()

  Specified by:
    `getTableName` in interface `Reference`

### setDescription

    public void setDescription(java.lang.String description)

  Specified by:
    `setDescription` in interface `Reference`

### getDescription

    public java.lang.String getDescription()

  Specified by:
    `getDescription` in interface `Reference`

### toString

    public java.lang.String toString()

  Specified by:
    `toString` in interface `Reference`
  Overrides:
    `toString` in class `java.lang.Object`

### setNumberOfElements

    public void setNumberOfElements(java.math.BigInteger numberOfElements)

  Specified by:
    `setNumberOfElements` in interface `Reference`

### getNumberOfElements

    public java.math.BigInteger getNumberOfElements()

  Specified by:
    `getNumberOfElements` in interface `Reference`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD